#version 440
/*	
	**Multi Domain Topology Renderer Shader**
	
	File Name	: RMultiDomain.vert
	Author		: Bora Yalciner
	Description	:

		Renders domain data
		Simple passthrough shader
*/

#define IN_POS layout(location = 0)

// Input
in IN_POS vec2 vPos;

// Output
out gl_PerVertex {vec4 gl_Position;};	// Mandatory

void main(void)
{
	gl_Position = vec4(vPos.xy, 0.0f, 1.0f);
}